## EFilterOption EFilterOption |

## Functions

EFilterElement * | e_filter_option_new ()
void | e_filter_option_set_current ()
const gchar * | e_filter_option_get_current ()
struct _filter_option * | e_filter_option_add ()
void | e_filter_option_remove_all ()

## Types and Values

struct | filter_option

## Object Hierarchy

        GObject
        ╰── EFilterElement
            ╰── EFilterOption

## Description

## Functions

### e_filter_option_new ()

    EFilterElement *
    e_filter_option_new (void);

### e_filter_option_set_current ()

    void
    e_filter_option_set_current (EFilterOption *option,
                                 const gchar *name);

### e_filter_option_get_current ()

    const gchar *
    e_filter_option_get_current (EFilterOption *option);

### e_filter_option_add ()

    struct _filter_option *
    e_filter_option_add (EFilterOption *option,
                         const gchar *name,
                         const gchar *title,
                         const gchar *code,
                         const gchar *code_gen_func,
                         gboolean is_dynamic);

### e_filter_option_remove_all ()

    void
    e_filter_option_remove_all (EFilterOption *option);

## Types and Values

### struct filter_option

    struct filter_option {
    	gchar *title;		/* button title */
    	gchar *value;		/* value, if it has one */
    	gchar *code;		/* used to string code segments together */
    	gchar *code_gen_func; /* function to generate the code;
    				 * either @code or @code_gen_func is non-NULL,
    				 * never both */

    	gboolean is_dynamic; /* whether is the option dynamic, FALSE if static;
    				 * dynamic means "generated by EFilterOption::dynamic_func" */
    };